## imcode.server.document.index
Class SimpleDocumentQuery

    java.lang.Object
      imcode.server.document.index.SimpleDocumentQuery

All Implemented Interfaces:
  DocumentQuery

    public class SimpleDocumentQuery

extends java.lang.Object
implements DocumentQuery

Constructor Summary
`SimpleDocumentQuery(org.apache.lucene.search.Query query)`
`SimpleDocumentQuery(org.apache.lucene.search.Query query, org.apache.lucene.search.Sort sort, boolean logged)`

Method Summary
`org.apache.lucene.search.Query` `getQuery()`
`org.apache.lucene.search.Sort` `getSort()`
`boolean` `isLogged()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleDocumentQuery

    public SimpleDocumentQuery(org.apache.lucene.search.Query query,
                               org.apache.lucene.search.Sort sort,
                               boolean logged)

### SimpleDocumentQuery

    public SimpleDocumentQuery(org.apache.lucene.search.Query query)

Method Detail

### getQuery

    public org.apache.lucene.search.Query getQuery()

  Specified by:
    `getQuery` in interface `DocumentQuery`

### getSort

    public org.apache.lucene.search.Sort getSort()

  Specified by:
    `getSort` in interface `DocumentQuery`

### isLogged

    public boolean isLogged()

  Specified by:
    `isLogged` in interface `DocumentQuery`